Subject: Thank you for my gorgeous Duvet!
From: Soraya Behar Feldman <[email-masked]>
To: [email-masked]
Date: Wed, 20 Nov 2024 11:03:04 +0200

Dear Sirs,

I ordered from Amazon a set of 
Madison Park Tufted Chenille 100% Cotton Duvet- Modern Luxe All Season Comforter Cover Bed Set with Matching Shams, King/Cal King(104"x92"), Damask Off White 3 Piece!

It’s absolutely gorgeous! I’m very happy and satisfied with my purchase!

It arrived so quickly!

I wanted to order 2 more sets for my children’s beds but shipping is no li her available for Israel!

Is there any chance I could order 2 more sets to be delivered in Israel?

I look forward to hearing from you!

Soraya 
Sent from my iPhone